org.eclipse.mat.ui.snapshot.panes

## Class Path2GCRootsPane

- java.lang.Object
- - org.eclipse.mat.ui.editor.AbstractEditorPane
  - - org.eclipse.mat.ui.internal.panes.QueryResultPane
    - - org.eclipse.mat.ui.snapshot.panes.Path2GCRootsPane

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart

    public class Path2GCRootsPane
    extends QueryResultPane

### Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`Path2GCRootsPane()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `initWithArgument(Object argument)`

### Methods inherited from class org.eclipse.mat.ui.internal.panes.QueryResultPane

`addSelectionChangedListener, contributeToToolBar, getAdapter, getSelection, getSrcQueryResult, getTitle, getTitleImage, getTitleToolTip, removeSelectionChangedListener, setFocus, setSelection`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, dispose, doSave, doSaveAs, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, init, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Path2GCRootsPane

    public Path2GCRootsPane()

### Method Detail

#### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
Overrides:
  `createPartControl` in class `QueryResultPane`

#### initWithArgument

    public void initWithArgument(Object argument)

Overrides:
  `initWithArgument` in class `QueryResultPane`